Bug 137195 - Cannot unlock xscreensaver when using NIS+
Summary: Cannot unlock xscreensaver when using NIS+
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xscreensaver   
(Show other bugs)
Version: 2
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-26 16:58 UTC by Matt Nottingham
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 21:34:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matt Nottingham 2004-10-26 16:58:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
When using NIS+ it is not possible to unlock xscreensaver. Several
changes to the /etc/pam.d/xscreensaver have been tried, but none
of them seem to work.

This problem is most likely related to the NIS problem also observed in other bug reports, but the fix they suggest does not work.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Lock screen
2. Type correct password
3.
    

Actual Results:  password was said to be incorrect

Additional info:

Comment 1 Ray Strode [halfline] 2004-11-10 17:49:07 UTC
Are you running FC3 now?

I've commited a change to rawhide xscreensaver that may address this
problem.  Would you mind trying it?

http://people.redhat.com/rstrode/xscreensaver-4.18-9.i386.rpm
http://people.redhat.com/rstrode/xscreensaver-debuginfo-4.18-9.i386.rpm

Comment 2 Matt Nottingham 2004-11-10 20:27:53 UTC
Nope, we've not upgraded to FC3.

I'll upgrade 1 machine and install the rpm's above. Due to other
commitments, I doubt I'll be able to report back for a couple of 
weeks.

Comment 3 nigel scott 2004-11-18 11:21:45 UTC
We have upgraded to FC3 and have applied the new screensaver rpm's 
but are still unable to unlock screen while using nis+.



Comment 4 Ray Strode [halfline] 2004-11-18 13:11:02 UTC
Hi,
Could you attach your /etc/pam.d/system-auth file?

Comment 5 Matt Nottingham 2004-12-12 10:19:54 UTC
Sorry for the delay, but its a bit tricky at the moment for me to
attach that file.

However, that file has not been changed manually, so should be the same
as is installed.


Comment 6 Matthew Miller 2005-04-26 15:07:45 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 7 Ray Strode [halfline] 2005-05-11 21:34:48 UTC
Hi,

This bug is being closed because it has been in the NEEDINFO state for a long
time now.  Feel free to reopen the bug report if the problem still happens for
you and you can provide any information that was requested.


Note You need to log in before you can comment on or make changes to this bug.